[SOLVED] mint-artwork-common > dpkg error - attn: DEVS [SOLVED]

Questions about applications and software
Forum rules
Before you post please read how to get help
red03golf
Level 2
Level 2
Posts: 97
Joined: Tue Feb 09, 2016 10:32 pm

[SOLVED] mint-artwork-common > dpkg error - attn: DEVS [SOLVED]

Post by red03golf » Tue Mar 20, 2018 10:23 am

While trying to install an available update via Terminal - "mint-artwork-common_1.8.9.2_all.deb" - I got the following error, terminal exited back to prompt.

Code: Select all

dpkg-deb: error: archive '/var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
 /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Any thoughts?
Last edited by red03golf on Fri Mar 23, 2018 4:46 pm, edited 1 time in total.
Tin-foil hat? - Check!!

Cosmo.
Level 23
Level 23
Posts: 17823
Joined: Sat Dec 06, 2014 7:34 am

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by Cosmo. » Tue Mar 20, 2018 10:48 am

What is your version of Mint and what is the desktop environment? Which kernel and which architecture? If you don't know open a terminal and enter:

Code: Select all

inxi -Sz
Paste the output here.

You need to give this information for every help request in every thread.
Do not forget this in the future.

Also: From which source to you try to update?

Fact is: All Mint 18.x come with version 2.x of this package (so you must be on Mint 17.x), and for Mint 17.3 version 1.8.9.1 is the latest available.

User avatar
smurphos
Level 8
Level 8
Posts: 2254
Joined: Fri Sep 05, 2014 12:18 am
Location: Britisher...

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by smurphos » Tue Mar 20, 2018 10:55 am

18.x just had an update today to 2.1.8.1 - so an update for 17.x wouldn't be surprise. Probably updated Firefox artwork to go with version 59 which also dropped on the same update.

User avatar
Sir Charles
Level 7
Level 7
Posts: 1827
Joined: Thu Jan 04, 2018 1:00 pm

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by Sir Charles » Tue Mar 20, 2018 12:36 pm

You could give this a try:

Code: Select all

sudo apt-get clean

Code: Select all

sudo apt-get update
I suppose that's one of the ironies of life, doing the wrong thing at the right moment -C.C.

red03golf
Level 2
Level 2
Posts: 97
Joined: Tue Feb 09, 2016 10:32 pm

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by red03golf » Tue Mar 20, 2018 12:41 pm

Thanks for the reply. This wasn't so much a help request as it was informing of an issue which could affect others. I, myself, don't fret much about bugs as they're usually corrected quickly.

I'll make sure I supply inxi output with future posts.

inxi -Sz output:
System:
  • Host: user-pc
  • Kernel: 4.4.0-116-generic x86_64 (64 bit)
  • Desktop: Cinnamon 2.8.8
  • Distro: Linux Mint 17.3 Rosa
Tin-foil hat? - Check!!

User avatar
Sir Charles
Level 7
Level 7
Posts: 1827
Joined: Thu Jan 04, 2018 1:00 pm

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by Sir Charles » Tue Mar 20, 2018 12:47 pm

I came across this one https://forums.linuxmint.com/viewtopic ... #p1446552 related to the same update.
I suppose that's one of the ironies of life, doing the wrong thing at the right moment -C.C.

red03golf
Level 2
Level 2
Posts: 97
Joined: Tue Feb 09, 2016 10:32 pm

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by red03golf » Tue Mar 20, 2018 1:28 pm

Marziano wrote:
Tue Mar 20, 2018 12:36 pm
You could give this a try:

Code: Select all

sudo apt-get clean

Code: Select all

sudo apt-get update
Thanks for the suggestion. I tried aptitude clean / update before posting and it didn't help.

It's probably just a dev's typo and will be fixed shortly ;o)
Tin-foil hat? - Check!!

User avatar
Sir Charles
Level 7
Level 7
Posts: 1827
Joined: Thu Jan 04, 2018 1:00 pm

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by Sir Charles » Tue Mar 20, 2018 1:31 pm

red03golf wrote:
Tue Mar 20, 2018 1:28 pm
It's probably just a dev's typo and will be fixed shortly ;o)
Alright. Let's hope so!
Cheers
I suppose that's one of the ironies of life, doing the wrong thing at the right moment -C.C.

Cosmo.
Level 23
Level 23
Posts: 17823
Joined: Sat Dec 06, 2014 7:34 am

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by Cosmo. » Tue Mar 20, 2018 3:37 pm

Mint 17.2 with package version 1.8.7.2 is equally affected.

EDIT: In a second attempt it run through.

Cosmo.
Level 23
Level 23
Posts: 17823
Joined: Sat Dec 06, 2014 7:34 am

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by Cosmo. » Tue Mar 20, 2018 5:24 pm

In the meantime I have updated this package on 2 systems with LM 17.3, in both cases without any issue. So it does not appear to be a problem with the package itself.

User avatar
karlchen
Level 19
Level 19
Posts: 9537
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by karlchen » Tue Mar 20, 2018 7:33 pm

Oh, this seems to make the difference. (No, it does not. Hypothesis replaced by a better one, see second half below)
Each Mint 17.x release seems to receive a different package.
Mint 17.1 received mint-artwork-common 1.8.4.2. It installed without issues here.

Mint 17.0: mint-artwork-common 1.8.1.2
Mint 17.1: mint-artwork-common 1.8.4.2
Mint 17.2: mint-artwork-common 1.8.7.2
Mint 17.3: mint-artwork-common 1.8.9.2

--
Could it be those who experience the reported problem when updating to the most recent mint-artwork-common have not installed the most recent dpkg update? dpkg 1.17.5ubuntu5.8?!

xenopeek mentioned something to the effect that the most recent dpkg is needed to support .xz archives inside .deb software packages here.
Admittedly, his post has been written in Dutch. But we all read Dutch fluently, don't we?! :wink:
xenopeek wrote:Voor Linux Mint 17.x moet je ook de update voor dpkg installeren. De vorige versie van dpkg op Linux Mint 17.x werkt niet samen met nieuwe xz pakket formaat.
For Linux Mint 17.x, you will have to install the dpkg update as well. The previous dpkg version on Linux Mint 17.x does not support the new .xz package format.
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

red03golf
Level 2
Level 2
Posts: 97
Joined: Tue Feb 09, 2016 10:32 pm

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by red03golf » Wed Mar 21, 2018 3:46 am

Could it be those who experience the reported problem when updating to the most recent mint-artwork-common have not installed the most recent dpkg update? dpkg 1.17.5ubuntu5.8?!
My version of dpkg:

Code: Select all

user@user-pc ~ $ dpkg --version
Debian `dpkg' package management program version 1.17.5 (amd64).
This is free software; see the GNU General Public License version 2 or
later for copying conditions. There is NO warranty.
The package manager says:

Code: Select all

Version: 1.17.5ubuntu5.7
I tried:

Code: Select all

sudo aptitude update && sudo aptitude install dpkg=1.17.5ubuntu5.8
result:

Code: Select all

Unable to find a version "1.17.5ubuntu5.8" for the package "dpkg"
Unable to find a version "1.17.5ubuntu5.8" for the package "dpkg"
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 5 not upgraded.
Need to get 0 B of archives. After unpacking 0 B will be used.
I then tried with enabling source repos but received the same result.

I then found the ubuntu download page, below, downloaded the dpkg_1.17.5ubuntu5.8_amd64.deb package, and tried to install it:
http://archive.ubuntu.com/ubuntu/pool/main/d/dpkg/

Result:
Image

And, that's where I'm stopped at as I'm not sure what to do with that error information.
.
Tin-foil hat? - Check!!

red03golf
Level 2
Level 2
Posts: 97
Joined: Tue Feb 09, 2016 10:32 pm

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by red03golf » Wed Mar 21, 2018 4:13 am

.
After checking this thread I tried this (assuming I'm doing it correctly):

Code: Select all

sudo aptitude safe-upgrade mint-artwork-common
Result (same):

Code: Select all

The following packages will be upgraded: 
  mint-artwork-common 
1 packages upgraded, 0 newly installed, 0 to remove and 4 not upgraded.
Need to get 0 B/2,097 kB of archives. After unpacking 1,024 B will be used.
Do you want to continue? [Y/n/?] y
dpkg-deb: error: archive '/var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 2
Errors were encountered while processing:
 /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
I then tried this:

Code: Select all

sudo aptitude safe-upgrade
Result:

Code: Select all

The following packages will be upgraded: 
  google-chrome-stable libtiff5 libtiff5:i386 mint-artwork-common python-paramiko 
5 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 52.5 MB/54.6 MB of archives. After unpacking 13.3 kB will be used.
Do you want to continue? [Y/n/?] y
Get: 1 http://dl.google.com/linux/chrome/deb/ stable/main google-chrome-stable amd64 65.0.3325.181-1 [52.1 MB]
Get: 2 http://security.ubuntu.com/ubuntu/ trusty-security/main libtiff5 i386 4.0.3-7ubuntu0.8 [146 kB]
Get: 3 http://security.ubuntu.com/ubuntu/ trusty-security/main libtiff5 amd64 4.0.3-7ubuntu0.8 [146 kB]
Get: 4 http://security.ubuntu.com/ubuntu/ trusty-security/main python-paramiko all 1.10.1-1git1ubuntu0.1 [106 kB]
Fetched 52.5 MB in 10s (4,976 kB/s)                                                                                   
(Reading database ... 230940 files and directories currently installed.)
Preparing to unpack .../libtiff5_4.0.3-7ubuntu0.8_amd64.deb ...
De-configuring libtiff5:i386 (4.0.3-7ubuntu0.7) ...
Unpacking libtiff5:amd64 (4.0.3-7ubuntu0.8) over (4.0.3-7ubuntu0.7) ...
Preparing to unpack .../libtiff5_4.0.3-7ubuntu0.8_i386.deb ...
Unpacking libtiff5:i386 (4.0.3-7ubuntu0.8) over (4.0.3-7ubuntu0.7) ...
Preparing to unpack .../google-chrome-stable_65.0.3325.181-1_amd64.deb ...
Unpacking google-chrome-stable (65.0.3325.181-1) over (65.0.3325.162-1) ...
dpkg-deb: error: archive '/var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 2
Preparing to unpack .../python-paramiko_1.10.1-1git1ubuntu0.1_all.deb ...
Unpacking python-paramiko (1.10.1-1git1ubuntu0.1) over (1.10.1-1git1build1) ...
Processing triggers for man-db (2.6.7.1-1ubuntu1) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu1.1) ...
Processing triggers for gnome-menus (3.10.1-0ubuntu2) ...
Processing triggers for mime-support (3.54ubuntu1.1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install.  Trying to recover:
Setting up libtiff5:amd64 (4.0.3-7ubuntu0.8) ...
Setting up libtiff5:i386 (4.0.3-7ubuntu0.8) ...
Setting up google-chrome-stable (65.0.3325.181-1) ...
Setting up python-paramiko (1.10.1-1git1ubuntu0.1) ...
Processing triggers for libc-bin (2.19-0ubuntu6.14) ...
/sbin/ldconfig.real: /usr/lib/nvidia-384/libEGL.so.1 is not a symbolic link

/sbin/ldconfig.real: /usr/lib32/nvidia-384/libEGL.so.1 is not a symbolic link

                                         
Current status: 1 update [-4].
It appears there were a few (other) upgrades hiding in the shadows, but the mint-artwork-common package still did not install.

stopped again (for now).

EDIT:

Code: Select all

user@user-pc ~ $ firefox --version
Mozilla Firefox 59.0.1
.
Tin-foil hat? - Check!!

fidokomik
Level 1
Level 1
Posts: 1
Joined: Wed Mar 21, 2018 9:23 am

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by fidokomik » Wed Mar 21, 2018 9:27 am

Code: Select all

dpkg-deb: error: archive '/var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb' has premature member 'control.tar.xz' before 'control.tar.gz', giving up
dpkg: error processing archive /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb (--unpack):
 subprocess dpkg-deb --control returned error exit status 2
I taked look to /var/cache/apt/archives/mint-artwork-common_1.8.9.2_all.deb and this file look like corruped.

User avatar
karlchen
Level 19
Level 19
Posts: 9537
Joined: Sat Dec 31, 2011 7:21 am
Location: Germany

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by karlchen » Wed Mar 21, 2018 9:54 am

Hello, fidokomik.

Sometimes it pays to read a thread from top to bottom completely.
For Mint 17.x there has been a dpkg update recently. This dpkg update enables dpkg to install .deb packages which have got an .xz archive inside.
The current mint-artwork-common update brings along such an internal .xz archive.
In case you have not got the recent dpkg update on your Mint 17.3, then dpkg will simply fail to understand the mint-artwork-common .deb package.
Cf. xenopeek's explanation, quoted in this post above: here

The solution is making sure that your Mint 17.3 has got the most recent dpkg version. Then try again updating mint-artwork-common. Should work. Worked correctly on my Mint 17.1. Installed the dpkg update first, the mint-artwork-common update second. All steps done through Update-Manager. No wild manual fiddling around. No issues.

HTH,
Karl
Image
Linux Mint 18.1 64-bit Cinnamon Desktop, Total Commander 9.21a 64-bit
Ubuntu 18.04.1 32-bit Mate Desktop, Total Commander 9.21a 32-bit
Windows? - 1 window in every room

Cosmo.
Level 23
Level 23
Posts: 17823
Joined: Sat Dec 06, 2014 7:34 am

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by Cosmo. » Wed Mar 21, 2018 10:51 am

The real cause of the problem for the OP seems to be, that he does not only not have the latest version of dpkg been offered (in this case I would advice to switch the mirror for the repositories), but this strange message in the gdebi window (see here). What does this message mean? It does not make any sense to me. I wonder, if this might be a conflict between the databases of apt-get and aptitude. I don't know also, but it is the only idea, which comes into my mind.

FenderGuy
Level 1
Level 1
Posts: 10
Joined: Thu Aug 18, 2016 5:24 pm

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by FenderGuy » Wed Mar 21, 2018 11:05 am

In Linux Mint 17.3, I typically perform all updates for Levels 1 and 2; however, to resolve THIS issue, I installed all the Level 3 updates that were noted as "safe for download" (i.e., in Update Manager, TYPE = down arrow).

Problem solved!

Cosmo.
Level 23
Level 23
Posts: 17823
Joined: Sat Dec 06, 2014 7:34 am

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by Cosmo. » Wed Mar 21, 2018 3:44 pm

For Mint 17 up to 18.1 generally not applying level 3 updates is not a good idea.

red03golf
Level 2
Level 2
Posts: 97
Joined: Tue Feb 09, 2016 10:32 pm

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by red03golf » Wed Mar 21, 2018 5:00 pm

Yep, level 3 was already enabled:

Image
Tin-foil hat? - Check!!

cwky42
Level 1
Level 1
Posts: 15
Joined: Wed Dec 14, 2011 4:29 am

Re: mint-artwork-common > dpkg error - attn: DEVS

Post by cwky42 » Wed Mar 21, 2018 8:57 pm

I had this same problem and was able to resolve it by updating dpkg. After that mint-artwork-common installed as it should.
inxi -Sz
System: Host: MintDuoBox17-3 Kernel: 3.19.0-32-generic x86_64 (64 bit)
Desktop: Cinnamon 2.8.8 Distro: Linux Mint 17.3 Rosa
Car: red91golf

The reason my dpkg was out of date was apparently because the Official Repository mirror(s) I had been using was also out of date. I switched mirrors (to a school I dropped out of in 1975, coincidentally...) and on the refresh, Update Manager offered me the ...5.8 version of dpkg. I unchecked mint-artwork, dpkg updated normally, and after the refresh mint-artwork-common did also. Problem solved!

Post Reply

Return to “Software & Applications”